﻿$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"


$url        = 'https://1cfresh.com/downloads/platform/setuptc_' + $env:ChocolateyPackageVersion + '.exe' 
$url64        = 'https://1cfresh.com/downloads/platform/setuptc_' + $env:ChocolateyPackageVersion + '_x86-64.exe' 

$packageZipArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir + '/setup'
  url           = $url
  url64bit		= $url64
  validExitCodes= @(0, 3010, 1641)
  Checksum = 'B7F8D0CC83139B77CD7A0620A53D5458AC898EE899C7129D0B7AB7D6BCEEB1E8'
  ChecksumType = 'sha256'
  Checksum64 = 'B04ACCECC61772FDAF28F8D4246F50990041AB052B5AB281D2F8AF760202A698'
  ChecksumType64 = 'sha256'
}


$packageMSIArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI' 
  softwareName  = '1c*' 

    file64		  = $toolsDir + '\setup\1CEnterprise 8 Thin client (x86-64).msi'
    file          = $toolsDir + '\setup\1CEnterprise 8 Thin client.msi'
    silentArgs    = "/qn DESIGNERALLCLIENTS=1 THICKCLIENT=1 THINCLIENTFILE=1 THINCLIENT=1 WEBSERVEREXT=0 SERVER=0 CONFREPOSSERVER=0 CONVERTER77=0 SERVERCLIENT=0 LANGUAGES=RU"
  validExitCodes= @(0, 3010, 1641)
}

Write-Output "install 1с"
Install-ChocolateyZipPackage @packageZipArgs
Install-ChocolateyInstallPackage @packageMSIArgs
Remove-Item -LiteralPath $toolsDir'\setup' -Force -Recurse